library(gee)
library(HSAUR2)
library(lme4)
data("BtheB", package="HSAUR2")
BtheB$subject <- factor(rownames(BtheB))
nobs <- nrow(BtheB)
BtheB_long <- reshape(BtheB, idvar = "subject", varying = c("bdi.2m", "bdi.3m", "bdi.5m", "bdi.8m"),
                     direction = "long")
BtheB_long$time <- rep(c(2,3,5,8), rep(nobs, 4))
# Nach den subjects ordnen
osub <- order(as.integer(BtheB_long$subject))
BtheB_long <- BtheB_long[osub,]

btb_gee <- gee(bdi ~ bdi.pre + treatment + length + drug,
           data = BtheB_long, id = subject, family = gaussian, 
           corstr = "independence")
summary(btb_gee)

btb_gee1 <- gee(bdi ~ bdi.pre + treatment + length + drug,
           data = BtheB_long, id = subject, family = gaussian, 
           corstr = "exchangeable")
summary(btb_gge1)