library(lme4)
library(glmmADMB)

setwd("C:/Users/knapp/Documents/Guido/GemischteModelle/Datenstze")
respiratory <- read.table("Respiratory.txt", header=TRUE)

# Baselinewert soll erklrende Variable werden
resp <- subset(respiratory, month > "0")
resp$baseline <- rep(subset(respiratory, month == "0")$status, rep(4,111))
# Dummy-Variable fr status
resp$nstat <- as.numeric(resp$status == "good")
resp$subject <- as.factor(resp$subject)


resp_lmer <- glmer(status ~ centre + treatment + gender + age + baseline
                  + (1 | subject), family = binomial(), data = resp, nAGQ=0)
summary(resp_lmer)


resp_lmer1 <- glmer(status ~ centre + treatment + gender + age + baseline
                  + (1 | subject), family = binomial(), data = resp, nAGQ=1)

summary(resp_lmer1)


if (!check_rforge())
resp_admb <- glmmadmb(nstat ~ centre + treatment + gender + age + baseline,
                random = ~1|subject,
                data = resp, family = "binomial", corStruct = "diag")
summary(resp_admb)



